﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using Infragistics.Win.Misc;

namespace UltraNavigatorBarPresetLocation
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ultraNavigationBar1.InitializeLocations += new Infragistics.Win.Misc.UltraWinNavigationBar.InitializeLocationsHandler(ultraNavigationBar1_InitializeLocations);
        }

        void ultraNavigationBar1_InitializeLocations(object sender, Infragistics.Win.Misc.UltraWinNavigationBar.InitializeLocationsEventArgs e)
        {
            DirectoryInfo[] dirs = new DirectoryInfo(e.ParentLocation.Key + "\\").GetDirectories();
            foreach (DirectoryInfo dir in dirs)
            {
                e.ParentLocation.Locations.Add(dir.FullName, dir.Name);
            }
        }


        private void Form1_Load(object sender, EventArgs e)
        {
            DirectoryInfo[] dirs = new DirectoryInfo("C:\\").GetDirectories();
            foreach (DirectoryInfo dir in dirs)
            {
                ultraNavigationBar1.RootLocation.Locations.Add(dir.FullName, dir.Name);
            }
            ultraNavigationBar1.NavigateTo("Program Files\\Microsoft Visual Studio 10.0\\Common7", true);
        }
    }
}
